import javax.swing.JFrame;
import javax.swing.JOptionPane;

import java.io.IOException;
import java.net.Socket;
import java.net.ServerSocket;
import java.net.UnknownHostException;
public class PrimeHandler implements Handler
{
	
	/*if the button number is prime, 
	 * PH will handle it by always sending the number across the network to another process 
	 * (we will call it PP). PP will compute some function from the number 
	 * (make up whatever deterministic function you want) and send back the result to PH. 
	 * PH will use a  to encapsulate the network. PP will similarly have a net proxy in it. 
	 * Use the "netServer"  example I showed in class as a coding guide./* 
	 */
	
    Proxy proxy;
	public PrimeHandler()
	{
		proxy=new Proxy();

	}
	 public void calculate(int num)
	 {
		 JFrame parent = new JFrame();
		 int result=proxy.send(9000, num);
		 JOptionPane.showMessageDialog(parent,"Prime Number, output is"+result );
	 }
	public static void main(String [] args)throws Exception {
		PrimeHandler p=new PrimeHandler();
		p.calculate(0);
    }
}
